Project templates
Get customer project template by id
GET
/
api
/
develop
/
v1
/
customer-project-templates
/
{id}
Get customer project template by id
curl --request GET \
--url https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"access": {
"collaborators": [
{
"id": "<string>",
"role": "template_user"
}
],
"visibility": "private"
},
"categories": [
"<string>"
],
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"isCompanyOfficial": true,
"name": "<string>",
"owner": {
"name": "<string>",
"link": "<string>"
},
"templateType": "customer",
"updated": "2023-11-07T05:31:56Z",
"definition": {
"backingProject": {
"id": "<string>",
"name": "<string>",
"owner": {
"username": "<string>"
}
},
"projectType": "git_based",
"settings": {
"defaultEnvironmentRevision": {
"environment": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>"
},
"defaultHardwareTier": {
"id": "<string>",
"name": "<string>"
},
"computeClusterEnvironmentRevision": {
"environment": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>"
}
}
},
"isArchived": true,
"sourceProject": {
"id": "<string>",
"included": [
"Artifacts"
],
"name": "<string>",
"owner": {
"username": "<string>"
}
},
"base64Logo": "<string>",
"description": "<string>",
"license": "<string>",
"recommended": true,
"revisionId": "<string>",
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The id of the project template to return.
Pattern:
^[0-9a-f]{24}$Query Parameters
If the template is archived and this parameter is set to true, the template will be returned instead of a 404.
Response
Success
Show child attributes
Show child attributes
Whether or not this template is marked as official
Show child attributes
Show child attributes
Available options:
customer, ecosystem Show child attributes
Show child attributes
Show child attributes
Show child attributes
Taxonomy tags associated with this template.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get customer project template by id
curl --request GET \
--url https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/develop/v1/customer-project-templates/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"access": {
"collaborators": [
{
"id": "<string>",
"role": "template_user"
}
],
"visibility": "private"
},
"categories": [
"<string>"
],
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"isCompanyOfficial": true,
"name": "<string>",
"owner": {
"name": "<string>",
"link": "<string>"
},
"templateType": "customer",
"updated": "2023-11-07T05:31:56Z",
"definition": {
"backingProject": {
"id": "<string>",
"name": "<string>",
"owner": {
"username": "<string>"
}
},
"projectType": "git_based",
"settings": {
"defaultEnvironmentRevision": {
"environment": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>"
},
"defaultHardwareTier": {
"id": "<string>",
"name": "<string>"
},
"computeClusterEnvironmentRevision": {
"environment": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>"
}
}
},
"isArchived": true,
"sourceProject": {
"id": "<string>",
"included": [
"Artifacts"
],
"name": "<string>",
"owner": {
"username": "<string>"
}
},
"base64Logo": "<string>",
"description": "<string>",
"license": "<string>",
"recommended": true,
"revisionId": "<string>",
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}